Skip to main content
You should create a linked account to integrate Route and start transferring payments to vendors.

Below are the steps to integrate Route. You can also refer to our comprehensive Route Integration guide.
  1. Create a Linked Account
  2. Create a Stakeholder
  3. Request a Product Configuration
  4. Update a Product Configuration
  5. Transfer funds to Linked Accounts using Orders, Payments or Direct Transfer methods.

Fork the Razorpay Postman Public Workspace and try the Linked Account APIs using your Test API Keys. Run in Postman

Create a Linked Account

POST /v2/accountsCreates a Linked Account.

Update a Linked Account

PATCH /v2/accounts/:account_idUpdates a Linked Account.

Fetch a Linked Account With ID

GET /v2/accounts/:account_idFetches a Linked Account using a unique identifier.

Create a Stakeholder

POST /v2/accounts/:account_id/stakeholdersCreates a Stakeholder.

Update a Stakeholder Account

PATCH /v2/accounts/:account_id/stakeholders/:stakeholder_idUpdates a Stakeholder account.

Request a Product Configuration

POST /v2/accounts/:account_id/productsRequests a product configuration.

Update a Product Configuration

PATCH /v2/accounts/:account_id/products/:product_idUpdates a product configuration.

Fetch a Product Configuration

GET /v2/accounts/:account_id/products/:product_idFetches a product configuration.

Create Transfers from Orders

POST /v1/ordersCreates Transfers from orders.

Create Transfers from Payments

POST /v1/payments/:id/transfersCreates Transfers to Linked Accounts once the payments are captured.

Direct Transfers

POST /v1/transfersTransfers funds directly from your account balance to the Linked Accounts.

Create a Direct Transfer (Idempotent Request)

POST /v1/transfersTransfers funds directly from your account balance to the Linked Accounts.

Fetch Transfers for a Payment

GET /v1/payments/:id/transfersFetches transfers created for a specific payment.

Fetch Transfer for an Order

GET /v1/orders/:id/?expand[]=transfers&status=processingFetches transfers created for a specific order.

Fetch a Transfer With ID

GET /v1/transfers/:idDisplays specific transfer details.

Fetch Transfers for a Settlement

GET /v1/transfers?recipient_settlement_id=:idRetrieves the collection of transfers created for a particular Settlement ID.

Fetch Settlement Details

GET /v1/transfers?expand[]=recipient_settlementDisplays the details of settlements made to Linked Accounts.

Fetch Payments of a Linked Account

GET /v1/payments/Displays all the payments received by a Linked Account.

Refund Payments and Reverse Transfer from a Linked Account

POST /v1/payments/:id/refundInitiates a payment refund to a customer.

Reverse a Transfer

POST /v1/transfers/:id/reversalsInitiates a reversal of funds from the Linked Account to your account.

Fetch Reversals for a Transfer

GET /v1/transfers/:id/reversalsFetches reversals for a Transfer.

Modify Settlement Hold for Transfers

PATCH /v1/transfers/:idModifies the settlement configuration for a particular transfer id.